gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.ModelView.CellRendererSpin

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

Renders a spin button in a cell

- Module available since Gtk+ version 2.10

Synopsis

- data CellRendererSpin
- class CellRendererTextClass o => CellRendererSpinClass o
- castToCellRendererSpin :: GObjectClass obj => obj -> CellRendererSpin
- toCellRendererSpin :: CellRendererSpinClass o => o -> CellRendererSpin
- cellRendererSpinNew :: IO CellRendererSpin
- cellRendererSpinAdjustment :: CellRendererSpinClass self => Attr self Adjustment
- cellRendererSpinClimbRate :: CellRendererSpinClass self => Attr self Double
- cellRendererSpinDigits :: CellRendererSpinClass self => Attr self Int

# Detail

`CellRendererSpin` renders text in a cell like `CellRendererText` from which it is derived. But while `CellRendererText` offers a simple entry to edit the text, `CellRendererSpin` offers a `SpinButton` widget. Of course, that means that the text has to be parseable as a floating point number.

The range of the spinbutton is taken from the adjustment property of the cell renderer, which can be set explicitly or mapped to a column in the tree model, like all properties of cell renders. `CellRendererSpin` also has properties for the climb rate and the number of digits to display. Other `SpinButton` properties can be set in a handler for the start-editing signal.

The `CellRendererSpin` cell renderer was added in Gtk+ 2.10.

# Class Hierarchy

     | GObject
     | +----Object
     | +----CellRenderer
     | +----CellRendererText
     | +----CellRendererSpin

# Types

data CellRendererSpin

Instances

Eq CellRendererSpin |
Ord CellRendererSpin |
GObjectClass CellRendererSpin |
CellRendererSpinClass CellRendererSpin |
CellRendererTextClass CellRendererSpin |
CellRendererClass CellRendererSpin |
ObjectClass CellRendererSpin |

class CellRendererTextClass o => CellRendererSpinClass o

Instances

CellRendererSpinClass CellRendererSpin |

castToCellRendererSpin :: GObjectClass obj => obj -> CellRendererSpin

toCellRendererSpin :: CellRendererSpinClass o => o -> CellRendererSpin

# Constructors

cellRendererSpinNew :: IO CellRendererSpin

Creates a new `CellRendererSpin`.

- Available since Gtk+ version 2.10

# Attributes

cellRendererSpinAdjustment :: CellRendererSpinClass self => Attr self Adjustment

The adjustment that holds the value of the spinbutton.

- Available since Gtk+ version 2.10

cellRendererSpinClimbRate :: CellRendererSpinClass self => Attr self Double

The acceleration rate when you hold down a button.

Allowed values: >= 0

Default value: 0

- Available since Gtk+ version 2.10

cellRendererSpinDigits :: CellRendererSpinClass self => Attr self Int

The number of decimal places to display.

Allowed values: <= 20

Default value: 0

- Available since Gtk+ version 2.10